<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* log-page.twig */
class __TwigTemplate_0b32cbddf146608ca713deb4477bab2580e1ff4c6acdc29646186dc6cd97d3f3 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["inline"] = $this->loadTemplate("inline.twig", "log-page.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("authed.twig", "log-page.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_actionMenu($context, array $blocks = [])
    {
        // line 13
        echo "    <ul class=\"nav nav-pills pull-right\">
        <li class=\"btn btn-warning btn-xs\"><a class=\"XiboFormButton btns\" title=\"";
        // line 14
        echo __("Truncate the Log");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("log.truncate.form"), "html", null, true);
        echo "\"> <i class=\"fa fa-scissors\" aria-hidden=\"true\"></i> ";
        echo __("Truncate");
        echo "</a></li>
        <li class=\"btn btn-success btn-xs\"><a class=\"btns\" id=\"refreshLog\" title=\"";
        // line 15
        echo __("Refresh the Log");
        echo "\" href=\"#\"><i class=\"fa fa-refresh\" aria-hidden=\"true\"></i> ";
        echo __("Refresh");
        echo "</a></li>
    </ul>
";
    }

    // line 20
    public function block_pageContent($context, array $blocks = [])
    {
        // line 21
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 22
        echo __("Logs");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 24
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"logView\">
                <div class=\"XiboFilter well\">
                    <div class=\"FilterDiv\" id=\"Filter\">
                        <ul class=\"nav nav-tabs\" role=\"tablist\">
                            <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\">";
        // line 28
        echo __("General");
        echo "</a></li>
                            <li><a href=\"#advanced\" role=\"tab\" data-toggle=\"tab\">";
        // line 29
        echo __("Advanced");
        echo "</a></li>
                        </ul>
                        <form class=\"form-inline\">
                            <div class=\"tab-content\">
                                <div class=\"tab-pane active\" id=\"general\">
                                    ";
        // line 34
        ob_start(function () { return ''; });
        echo __("Level");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 35
        echo "                                    ";
        echo $context["inline"]->getinput("level", ($context["title"] ?? null));
        echo "

                                    ";
        // line 37
        ob_start(function () { return ''; });
        echo __("Interval");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 38
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Seconds");
        $context["secondsTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 39
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Minutes");
        $context["minutesTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Hours");
        $context["hoursTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                                    ";
        $context["intervalTypeOptions"] = [0 => ["id" => 1, "value" =>         // line 42
($context["secondsTrans"] ?? null)], 1 => ["id" => 60, "value" =>         // line 43
($context["minutesTrans"] ?? null)], 2 => ["id" => 3600, "value" =>         // line 44
($context["hoursTrans"] ?? null)]];
        // line 46
        echo "                                    ";
        echo $context["inline"]->getdropdown("intervalType", "single", ($context["title"] ?? null), 1, ($context["intervalTypeOptions"] ?? null), "id", "value");
        echo "

                                    ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Duration back");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                                    ";
        echo $context["inline"]->getnumber("seconds", ($context["title"] ?? null), 120);
        echo "

                                    ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Run");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                                    ";
        echo $context["inline"]->getinput("runNo", ($context["title"] ?? null));
        echo "

                                    ";
        // line 54
        ob_start(function () { return ''; });
        echo __("User");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                                    ";
        echo $context["inline"]->getdropdown("userId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["users"] ?? null)), "userId", "userName");
        echo "
                                </div>
                                <div class=\"tab-pane\" id=\"advanced\">
                                    ";
        // line 58
        ob_start(function () { return ''; });
        echo __("From Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                                    <div class=\"form-group\">
                                        <label class=\"control-label\" for=\"fromDt\">";
        // line 60
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                                        <div class=\"input-group date\" style=\"display:table;\">
                                            <input type=\"hidden\" name=\"fromDt\" id=\"fromDt\" />
                                            <input class=\"form-control datePicker dateControl\" name=\"fromDtLink\"
                                                   type=\"text\" id=\"fromDtLink\" data-link-field=\"fromDt\"
                                                   data-link-format=\"yyyy-mm-dd hh:ii:ss\" readonly />
                                            <span class=\"input-group-addon\" id=\"fromDateControlCancel\">
                                                <span class=\"fa fa-times-circle\"></span>
                                            </span>
                                        </div>
                                    </div>

                                    ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Channel");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                                    ";
        echo $context["inline"]->getinput("channel", ($context["title"] ?? null));
        echo "

                                    ";
        // line 75
        ob_start(function () { return ''; });
        echo __("Page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "                                    ";
        echo $context["inline"]->getinput("page", ($context["title"] ?? null));
        echo "

                                    ";
        // line 78
        ob_start(function () { return ''; });
        echo __("Function");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("GET");
        $context["getTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("POST");
        $context["postTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("PUT");
        $context["putTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("DELETE");
        $context["deleteTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("HEAD");
        $context["headTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("PATCH");
        $context["patchTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                                    ";
        $context["functionOptions"] = [0 => ["id" => "", "value" => ""], 1 => ["id" => "GET", "value" =>         // line 87
($context["getTrans"] ?? null)], 2 => ["id" => "POST", "value" =>         // line 88
($context["postTrans"] ?? null)], 3 => ["id" => "PUT", "value" =>         // line 89
($context["putTrans"] ?? null)], 4 => ["id" => "DELETE", "value" =>         // line 90
($context["deleteTrans"] ?? null)], 5 => ["id" => "HEAD", "value" =>         // line 91
($context["headTrans"] ?? null)], 6 => ["id" => "PATCH", "value" =>         // line 92
($context["patchTrans"] ?? null)]];
        // line 94
        echo "                                    ";
        echo $context["inline"]->getdropdown("function", "single", ($context["title"] ?? null), "", ($context["functionOptions"] ?? null), "id", "value");
        echo "

                                    ";
        // line 96
        ob_start(function () { return ''; });
        echo __("Display");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "200px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("display.search")], 5 => ["name" => "data-search-term", "value" => "display"], 6 => ["name" => "data-search-term-tags", "value" => "tags"], 7 => ["name" => "data-id-property", "value" => "displayId"], 8 => ["name" => "data-text-property", "value" => "display"]];
        // line 108
        echo "                                    ";
        echo $context["inline"]->getdropdown("displayId", "single", ($context["title"] ?? null), "", null, "displayId", "display", "", "pagedSelect", "", "d", "", ($context["attributes"] ?? null));
        echo "

                                    <div class=\"form-group \">
                                        <label class=\"control-label\" title=\"\" for=\"display\" accesskey=\"\">";
        // line 111
        echo __("Display Name");
        echo "</label>
                                        <div>
                                            <div class=\"input-group\">
                                                <input class=\"form-control\" name=\"display\" type=\"text\" id=\"display\" value=\"\">
                                                <span class=\"input-group-addon\">
                                                    <input title=\"";
        // line 116
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                                </span>
                                            </div>
                                        </div>
                                    </div>

                                    ";
        // line 122
        ob_start(function () { return ''; });
        echo __("Display Group");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "200px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("displayGroup.search")], 5 => ["name" => "data-search-term", "value" => "displayGroup"], 6 => ["name" => "data-id-property", "value" => "displayGroupId"], 7 => ["name" => "data-text-property", "value" => "displayGroup"]];
        // line 133
        echo "                                    ";
        echo $context["inline"]->getdropdown("displayGroupId", "single", ($context["title"] ?? null), "", null, "displayGroupId", "displayGroup", "", "pagedSelect", "", "d", "", ($context["attributes"] ?? null));
        echo "

                                    ";
        // line 135
        ob_start(function () { return ''; });
        echo __("Message");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 136
        echo "                                    ";
        echo $context["inline"]->getinput("message", ($context["title"] ?? null));
        echo "

                                    ";
        // line 138
        ob_start(function () { return ''; });
        echo __("Exclude logs common to each request?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                                    ";
        echo $context["inline"]->getcheckbox("excludeLog", ($context["title"] ?? null), 1);
        echo "
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class=\"XiboData\">
                    <table id=\"logs\" class=\"table table-striped\">
                        <thead>
                            <tr>
                                <th>";
        // line 149
        echo __("ID");
        echo "</th>
                                <th>";
        // line 150
        echo __("Run");
        echo "</th>
                                <th>";
        // line 151
        echo __("Date");
        echo "</th>
                                <th>";
        // line 152
        echo __("Channel");
        echo "</th>
                                <th>";
        // line 153
        echo __("Function");
        echo "</th>
                                <th>";
        // line 154
        echo __("Level");
        echo "</th>
                                <th>";
        // line 155
        echo __("Display");
        echo "</th>
                                <th>";
        // line 156
        echo __("Page");
        echo "</th>
                                <th style=\"width: 50%\">";
        // line 157
        echo __("Message");
        echo "</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 170
    public function block_javaScript($context, array $blocks = [])
    {
        // line 171
        echo "    <script type=\"text/javascript\">
        \$(document).ready(function() {
            var table = \$(\"#logs\").DataTable({
                \"language\": dataTablesLanguage,
                serverSide: true, stateSave: true, stateDuration: 0,
                stateLoadCallback: function (settings, callback) {
                    var data = {};
                    \$.ajax({
                        type: \"GET\",
                        async: false,
                        url: \"";
        // line 181
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "?preference=logGrid\",
                        dataType: 'json',
                        success: function (json) {
                            try {
                                if (json.success) {
                                    data = JSON.parse(json.data.value);
                                }
                            } catch (e) {
                                // Do nothing
                            }
                        }
                    });
                    return data;
                },
                stateSaveCallback: function (settings, data) {
                    \$.ajax({
                        type: \"POST\",
                        url: \"";
        // line 198
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "\",
                        data: {
                            preference: [{
                                option: \"logGrid\",
                                value: JSON.stringify(data)
                            }]
                        }
                    });
                },
                filter: false,
                searchDelay: 3000,
                \"order\": [[0, \"desc\"]],
                ajax: {
                    url: \"";
        // line 211
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("log.search"), "html", null, true);
        echo "\",
                    \"data\": function (d) {
                        \$.extend(d, \$(\"#logs\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    {\"data\": \"logId\"},
                    {\"data\": \"runNo\"},
                    {\"data\": \"logDate\", \"render\": dataTableDateFromIso},
                    {\"data\": \"channel\"},
                    {\"data\": \"function\"},
                    {\"data\": \"type\"},
                    {\"data\": \"display\"},
                    {\"data\": \"page\"},
                    {\"data\": \"message\"}
                ]
            });

            table.on('draw', dataTableDraw);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#logs_wrapper').find('.col-sm-6').eq(1));

            \$(\"#refreshLog\").click(function() {
                table.ajax.reload();
            });

            \$(\"#fromDateControlCancel\").on('click', function() {
                // Clear the date picker
                var \$fromDt = \$(\"#fromDt\");
                \$fromDt.val(\"\");
                \$(\"#fromDtLink\").val(\"\");

                table.ajax.reload();

                // Reset local storage
                localStorage.setItem(\"logView\", JSON.stringify(\$fromDt.closest(\"form\").serializeArray()));
            });
        });
    </script>
";
    }

    public function getTemplateName()
    {
        return "log-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  431 => 211,  415 => 198,  395 => 181,  383 => 171,  380 => 170,  364 => 157,  360 => 156,  356 => 155,  352 => 154,  348 => 153,  344 => 152,  340 => 151,  336 => 150,  332 => 149,  318 => 139,  314 => 138,  308 => 136,  304 => 135,  298 => 133,  295 => 123,  291 => 122,  282 => 116,  274 => 111,  267 => 108,  264 => 97,  260 => 96,  254 => 94,  252 => 92,  251 => 91,  250 => 90,  249 => 89,  248 => 88,  247 => 87,  245 => 85,  240 => 84,  235 => 83,  230 => 82,  225 => 81,  220 => 80,  215 => 79,  211 => 78,  205 => 76,  201 => 75,  195 => 73,  191 => 72,  176 => 60,  173 => 59,  169 => 58,  162 => 55,  158 => 54,  152 => 52,  148 => 51,  142 => 49,  138 => 48,  132 => 46,  130 => 44,  129 => 43,  128 => 42,  126 => 41,  121 => 40,  116 => 39,  111 => 38,  107 => 37,  101 => 35,  97 => 34,  89 => 29,  85 => 28,  78 => 24,  73 => 22,  70 => 21,  67 => 20,  58 => 15,  50 => 14,  47 => 13,  44 => 12,  39 => 9,  37 => 10,  31 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "log-page.twig", "/home/mgatv524/public_html/edurocha/views/log-page.twig");
    }
}
